<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.backend.mapper.SysTenantMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.backend.domain.SysTenant">
        <id column="id" property="id" />
        <result column="tenant_code" property="tenantCode" />
        <result column="tenant_name" property="tenantName" />
        <result column="tenant_manager" property="tenantManager" />
        <result column="tenant_type" property="tenantType" />
        <result column="domain" property="domain" />
        <result column="email" property="email" />
        <result column="phone_number" property="phoneNumber" />
        <result column="address" property="address" />
        <result column="tenant_term" property="tenantTerm" />
        <result column="remark" property="remark" />
        <result column="status" property="status" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
    </resultMap>

</mapper>
